Subject: [VCARDDAV] Dropping the PREF parameter

From: Simon Perreault <[email-masked]>
Date: Mon, 01 Nov 2010 15:29:40 -0400

Tantek,

I'm going through your suggestions one by one. I'm creating one slide
each for discussion in next week's meeting. I'll write email for those I
don't understand or otherwise need to discuss.

> 5.4. PREF
> 
> Preferred value between 1 and 100 seems a bit arbitrary.
> 
> What is the use-case for this?
> 
> Also, from a synchronization perspective, picking absolute numbers for indicating preference would seem to make little sense, as the values themselves only make sense relative to other values.
> 
> Suggestion: drop this property parameter - it seems like a bad design, and unnecessary. 

The PREF parameter was present in vCard 3.0 and 2.1. It is very widely
used. One of the first features requested for 4.0 was the ability to
"quantify" preference. The value range was chosen with input from OMA
and resulted in clear WG consensus.

Simon
-- 
NAT64/DNS64 open-source --> http://ecdysis.viagenie.ca
STUN/TURN server        --> http://numb.viagenie.ca
vCard 4.0               --> http://www.vcarddav.org